
public class ActionWait : TurnAction
{
    RenderTrigger.FireTrigger renderTrigger;

    public ActionWait(int priority, RenderTrigger.FireTrigger trigger)
    {
        renderTrigger = trigger;
        Priority = priority;
    }

    public ActionWait(int priority)
        : this(priority, null)
    { }

    public ActionWait()
        : this(0)
    { }

    override public void Perform()
    {
        AddRender();
        Result = ActionResult.SuccessOnlyAffectedSelf;
    }

    private void AddRender()
    {
        if (renderTrigger != null)
        {
            Render rend = new EmptyRender(0.001f);
            rend.AddTrigger(new RenderTrigger(renderTrigger, 0.01f));
            RenderPipeline.Render(rend);
        }
    }
}
